from PySide6.QtGui import QGuiApplication, QAction
from PySide6.QtQml import QQmlApplicationEngine
from PySide6 import QtWidgets, QtCore
from PySide6.QtWidgets import QDialog, QVBoxLayout, QHBoxLayout, QLabel

from models.book_overview import BooksOverview

class BookEditor(QDialog):
    def __init__(self, book_overview: BooksOverview, parent=None):
        super().__init__(parent)

        self.setWindowTitle("Edit a book")
        self.setMinimumSize(400, 300)

        # Create layout
        layout = QVBoxLayout(self)

        data_mode_layout = QHBoxLayout()

        self.data_mode_label = QLabel("Data mode:")
        data_mode_layout.addWidget(self.data_mode_label)



        # Buttons
        button_layout = QtWidgets.QHBoxLayout()
        
        self.save_button = QtWidgets.QPushButton("Save")
        self.save_button.clicked.connect(self.save_book)
        button_layout.addWidget(self.save_button)

        self.cancel_button = QtWidgets.QPushButton("Discard")
        self.cancel_button.clicked.connect(self.reject)
        button_layout.addWidget(self.cancel_button)

        layout.addLayout(button_layout)


    def save_book(self):
        pass